> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk delete tags

> Delete multiple tags by ID



## OpenAPI

````yaml /api-specs/cloud/taxonomy-api.yaml post /tags/bulk-delete
openapi: 3.0.0
info:
  contact:
    email: support@dominodatalab.com
    name: Domino Data Lab
    url: https://tickets.dominodatalab.com/hc/en-us
  description: Microservice responsible for managing the Domino Taxonomy feature
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://swagger.io/terms/
  title: Domino Taxonomy Microservice API
  version: '1.0'
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is <your-subdomain>.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /tags/bulk-delete:
    post:
      tags:
        - tags
      summary: Bulk delete tags
      description: Delete multiple tags by ID
      requestBody:
        $ref: '#/components/requestBodies/server.BulkDeleteRequest'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.BulkDeleteResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
components:
  requestBodies:
    server.BulkDeleteRequest:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/server.BulkDeleteRequest'
      description: IDs to delete
      required: true
  schemas:
    server.BulkDeleteResponse:
      properties:
        deletedCount:
          type: integer
      type: object
    server.HTTPError:
      properties:
        message:
          type: string
      type: object
    server.BulkDeleteRequest:
      properties:
        ids:
          items:
            type: string
          minItems: 1
          type: array
      required:
        - ids
      type: object

````